OpenTTD Source: CYapfRegionNodeT< Tkey_ > Struct Template Reference

OpenTTD Source 15.0-beta1

Public Types | Public Member Functions
CYapfRegionNodeT< Tkey_ > Struct Template Reference

Yapf Node for water regions. More...

Inheritance diagram for CYapfRegionNodeT< Tkey_ >:

## Public Types
typedef Tkey_ | Key
typedef CYapfRegionNodeT< Tkey_ > | Node
Public Types inherited from CYapfNodeT< Tkey_, CYapfRegionNodeT< Tkey_ > >
typedef Tkey_ | Key
typedef CYapfRegionNodeT< Tkey_ > | Node

## Public Member Functions
void | Set (Node *parent, const WaterRegionPatchDesc &water_region_patch)
void | Set (Node *parent, const Key &key)
DiagDirection | GetDiagDirFromParent () const
Public Member Functions inherited from CYapfNodeT< Tkey_, CYapfRegionNodeT< Tkey_ > >
void | Set (Node *parent, TileIndex tile, Trackdir td, bool is_choice)
Node * | GetHashNext ()
void | SetHashNext (Node *pNext)
TileIndex | GetTile () const
Trackdir | GetTrackdir () const
const Tkey_ & | GetKey () const
int | GetCost () const
int | GetCostEstimate () const
bool | GetIsChoice () const
bool | operator< (const Node &other) const
void | Dump (DumpTarget &dmp) const

## Additional Inherited Members
Data Fields inherited from CYapfNodeT< Tkey_, CYapfRegionNodeT< Tkey_ > >
Tkey_ | key
Node * | hash_next
Node * | parent
int | cost
int | estimate
bool | is_choice

## Detailed Description

template<class Tkey_>
struct CYapfRegionNodeT< Tkey_ >

Yapf Node for water regions.

Definition at line 43 of file yapf_ship_regions.cpp.

## Member Typedef Documentation

## ◆ Key

template<class Tkey_ >

typedef Tkey_ CYapfRegionNodeT< Tkey_ >::Key

Definition at line 44 of file yapf_ship_regions.cpp.

## ◆ Node

template<class Tkey_ >

typedef CYapfRegionNodeT<Tkey_> CYapfRegionNodeT< Tkey_ >::Node

Definition at line 45 of file yapf_ship_regions.cpp.

## Member Function Documentation

## ◆ GetDiagDirFromParent()

template<class Tkey_ >

DiagDirection CYapfRegionNodeT< Tkey_ >::GetDiagDirFromParent | ( |  | ) | const
| inline

Definition at line 61 of file yapf_ship_regions.cpp.

## ◆ Set() [1/2]

template<class Tkey_ >

void CYapfRegionNodeT< Tkey_ >::Set | ( | Node * | parent,
|  | const Key & | key
| ) |  |
| inline

Definition at line 56 of file yapf_ship_regions.cpp.

## ◆ Set() [2/2]

template<class Tkey_ >

void CYapfRegionNodeT< Tkey_ >::Set | ( | Node * | parent,
|  | const WaterRegionPatchDesc & | water_region_patch
| ) |  |
| inline

Definition at line 47 of file yapf_ship_regions.cpp.

The documentation for this struct was generated from the following file:

- src/pathfinder/yapf/yapf_ship_regions.cpp